package com.steerinfo.meterwork.meterworkmalfunctionalarm.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="现场设备异常报警表")
public class MeterWorkMalfunctionAlarm implements IBasePO<String> {
    /**
     * 主键(ERROR_ALARM_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="主键",required=true)
    private String errorAlarmId;

    /**
     * 计量点编号(SPOT_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String spotTypeNo;

    /**
     * 计量点名称(SPOT_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量点名称",required=false)
    private String spotTypeName;

    /**
     * 报警类型编码(ALARM_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="报警类型编码",required=false)
    private String alarmTypeNo;

    /**
     * 报警类型名称(ALARM_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="报警类型名称",required=false)
    private String alarmTypeName;

    /**
     * 车号(CAR_NO,VARCHAR,25)
     */
    @ApiModelProperty(value="车号",required=false)
    private String carNo;

    /**
     * 委托编号(PREDICTION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="委托编号",required=false)
    private String predictionNo;

    /**
     * 报警内容(MALFUNCTION_DETAIL,VARCHAR,150)
     */
    @ApiModelProperty(value="报警内容",required=false)
    private String malfunctionDetail;

    /**
     * 报警时间(MALFUNCTION_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="报警时间",required=false)
    private Date malfunctionTime;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人名称(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人名称",required=false)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createTime;

    /**
     * 处理人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="处理人编号",required=false)
    private String updateManNo;

    /**
     * 处理人名称(UPDATE_MAN_NAME,VARCHAR,25)
     */
    @ApiModelProperty(value="处理人名称",required=false)
    private String updateManName;

    /**
     * 处理时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="处理时间",required=false)
    private Date updateTime;

    /**
     * 备注(MEMO,VARCHAR,120)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 处理结果(PROCESS_RESULT,VARCHAR,120)
     */
    @ApiModelProperty(value="处理结果",required=false)
    private String processResult;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.errorAlarmId;
    }

    @Override
    public void setId(String errorAlarmId) {
        this.errorAlarmId = errorAlarmId == null ? null : errorAlarmId.trim();
    }

    public String getErrorAlarmId() {
        return errorAlarmId;
    }

    public void setErrorAlarmId(String errorAlarmId) {
        this.errorAlarmId = errorAlarmId == null ? null : errorAlarmId.trim();
    }

    public String getSpotTypeNo() {
        return spotTypeNo;
    }

    public void setSpotTypeNo(String spotTypeNo) {
        this.spotTypeNo = spotTypeNo == null ? null : spotTypeNo.trim();
    }

    public String getSpotTypeName() {
        return spotTypeName;
    }

    public void setSpotTypeName(String spotTypeName) {
        this.spotTypeName = spotTypeName == null ? null : spotTypeName.trim();
    }

    public String getAlarmTypeNo() {
        return alarmTypeNo;
    }

    public void setAlarmTypeNo(String alarmTypeNo) {
        this.alarmTypeNo = alarmTypeNo == null ? null : alarmTypeNo.trim();
    }

    public String getAlarmTypeName() {
        return alarmTypeName;
    }

    public void setAlarmTypeName(String alarmTypeName) {
        this.alarmTypeName = alarmTypeName == null ? null : alarmTypeName.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public String getMalfunctionDetail() {
        return malfunctionDetail;
    }

    public void setMalfunctionDetail(String malfunctionDetail) {
        this.malfunctionDetail = malfunctionDetail == null ? null : malfunctionDetail.trim();
    }

    public Date getMalfunctionTime() {
        return malfunctionTime;
    }

    public void setMalfunctionTime(Date malfunctionTime) {
        this.malfunctionTime = malfunctionTime;
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getProcessResult() {
        return processResult;
    }

    public void setProcessResult(String processResult) {
        this.processResult = processResult == null ? null : processResult.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", errorAlarmId=").append(errorAlarmId);
        sb.append(", spotTypeNo=").append(spotTypeNo);
        sb.append(", spotTypeName=").append(spotTypeName);
        sb.append(", alarmTypeNo=").append(alarmTypeNo);
        sb.append(", alarmTypeName=").append(alarmTypeName);
        sb.append(", carNo=").append(carNo);
        sb.append(", predictionNo=").append(predictionNo);
        sb.append(", malfunctionDetail=").append(malfunctionDetail);
        sb.append(", malfunctionTime=").append(malfunctionTime);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", memo=").append(memo);
        sb.append(", processResult=").append(processResult);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}